View Issue Details

IDProjectCategoryView StatusLast Update
0002411PluginsNetBoxpublic2013-05-21 18:56
ReporterJmpEaxAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002411: Far закрывается при попытке подключения к FTP серверу
Description3367 х64
На андройд смартфоне установен FTP сервер https://play.google.com/store/apps/details?id=org.primftpd
При попытке подключения через NetBox происходит вылет Far. К остальным серверам подключается нормально. Другие клиенты тоже подключаются нормально.
Есть подозрение что вылет происходит при попытке выбора каталога.
Прилагаются 2 лога:
1. Вылет при подключении
2. Вылет при смене каталога
Additional Information=========================== LOG1
. 2013-05-18 23:39:40.044 --------------------------------------------------------------------------
. 2013-05-18 23:39:40.046 NetBox Version 2.1.29 (Build 240) (OS 6.1.7601 Service Pack 1)
. 2013-05-18 23:39:40.049 Configuration: NetBox 3\
. 2013-05-18 23:39:40.050 Working directory: R:\TEMP
. 2013-05-18 23:39:40.051 Login time: 18.05.2013 23:39:40
. 2013-05-18 23:39:40.051 --------------------------------------------------------------------------
. 2013-05-18 23:39:40.053 Host name: 192.168.220.10 (Port: 2121)
. 2013-05-18 23:39:40.054 Tunnel: No
. 2013-05-18 23:39:40.055 Transfer Protocol: FTP
. 2013-05-18 23:39:40.055 Code Page: 65001
. 2013-05-18 23:39:40.056 Ping type: C, Ping interval: 30 sec; Timeout: 15 sec
. 2013-05-18 23:39:40.056 Proxy: none
. 2013-05-18 23:39:40.056 FTP: FTPS: None; Passive: No [Force IP: A]; MLSD: A
. 2013-05-18 23:39:40.057 Local directory: default, Remote directory: /storage/, Update: No, Cache: Yes
. 2013-05-18 23:39:40.057 Cache directory changes: Yes, Permanent: Yes
. 2013-05-18 23:39:40.057 DST mode: 1; Timezone offset: 0h 0m
. 2013-05-18 23:39:40.058 --------------------------------------------------------------------------
. 2013-05-18 23:39:40.063 Connecting to 192.168.220.10:2121 ...
. 2013-05-18 23:39:40.100 Connected with 192.168.220.10:2121. Waiting for welcome message...
< 2013-05-18 23:39:40.198 220 Service ready for new user.
> 2013-05-18 23:39:40.198 USER nbs
< 2013-05-18 23:39:40.198 331 User name okay, need password for nbs.
> 2013-05-18 23:39:40.198 PASS ***
< 2013-05-18 23:39:40.248 230 User logged in, proceed.
> 2013-05-18 23:39:40.348 SYST
< 2013-05-18 23:39:40.348 215 UNIX Type: Apache FtpServer
> 2013-05-18 23:39:40.348 FEAT
< 2013-05-18 23:39:40.376 211-Extensions supported
< 2013-05-18 23:39:40.377 SIZE
< 2013-05-18 23:39:40.426 MDTM
< 2013-05-18 23:39:40.426 REST STREAM
< 2013-05-18 23:39:40.426 LANG en;zh-tw;ja;is
< 2013-05-18 23:39:40.426 MLST Size;Modify;Type;Perm
< 2013-05-18 23:39:40.476 AUTH SSL
< 2013-05-18 23:39:40.476 AUTH TLS
< 2013-05-18 23:39:40.476 MODE Z
< 2013-05-18 23:39:40.526 UTF8
< 2013-05-18 23:39:40.526 TVFS
< 2013-05-18 23:39:40.526 MD5
< 2013-05-18 23:39:40.526 MMD5
< 2013-05-18 23:39:40.526 MFMT
< 2013-05-18 23:39:40.526 211 End
> 2013-05-18 23:39:40.527 OPTS UTF8 ON
< 2013-05-18 23:39:40.574 200 Command OPTS okay.
. 2013-05-18 23:39:40.575 Connected
. 2013-05-18 23:39:40.575 Got reply 1 to the command 1
. 2013-05-18 23:39:40.576 --------------------------------------------------------------------------
. 2013-05-18 23:39:40.576 Using FTP protocol.
. 2013-05-18 23:39:40.578 Doing startup conversation with host.
> 2013-05-18 23:39:40.579 PWD
< 2013-05-18 23:39:40.642 257 "/storage/sdcard0" is current directory.
. 2013-05-18 23:39:40.642 Got reply 1 to the command 16
. 2013-05-18 23:39:40.643 Changing directory to "/storage/".
> 2013-05-18 23:39:40.643 CWD /storage/
< 2013-05-18 23:39:40.693 250 Directory changed to /storage
. 2013-05-18 23:39:40.693 Got reply 1 to the command 16
. 2013-05-18 23:39:40.693 Getting current directory name.
> 2013-05-18 23:39:40.694 PWD
< 2013-05-18 23:39:40.793 257 "/storage" is current directory.
. 2013-05-18 23:39:40.843 Got reply 1 to the command 16
. 2013-05-18 23:39:40.844 Retrieving directory listing...
> 2013-05-18 23:39:40.844 TYPE A
< 2013-05-18 23:39:40.869 200 Command TYPE okay.
> 2013-05-18 23:39:40.919 PORT 192,168,220,3,209,170
< 2013-05-18 23:39:40.969 200 Command PORT okay.
> 2013-05-18 23:39:41.019 MLSD
< 2013-05-18 23:39:41.070 150 File status okay; about to open data connection.

============================ LOG 2
. 2013-05-18 23:51:53.966 --------------------------------------------------------------------------
. 2013-05-18 23:51:53.968 NetBox Version 2.1.29 (Build 240) (OS 6.1.7601 Service Pack 1)
. 2013-05-18 23:51:53.971 Configuration: NetBox 3\
. 2013-05-18 23:51:53.972 Working directory: R:\TEMP
. 2013-05-18 23:51:53.972 Login time: 18.05.2013 23:51:53
. 2013-05-18 23:51:53.973 --------------------------------------------------------------------------
. 2013-05-18 23:51:53.975 Host name: 192.168.220.10 (Port: 2121)
. 2013-05-18 23:51:53.976 Tunnel: No
. 2013-05-18 23:51:53.977 Transfer Protocol: FTP
. 2013-05-18 23:51:53.977 Code Page: 65001
. 2013-05-18 23:51:53.978 Ping type: C, Ping interval: 30 sec; Timeout: 15 sec
. 2013-05-18 23:51:53.978 Proxy: none
. 2013-05-18 23:51:53.978 FTP: FTPS: None; Passive: Yes [Force IP: A]; MLSD: A
. 2013-05-18 23:51:53.979 Local directory: default, Remote directory: /storage/sdcard0, Update: No, Cache: Yes
. 2013-05-18 23:51:53.979 Cache directory changes: Yes, Permanent: Yes
. 2013-05-18 23:51:53.979 DST mode: 1; Timezone offset: 0h 0m
. 2013-05-18 23:51:53.980 --------------------------------------------------------------------------
. 2013-05-18 23:51:53.985 Connecting to 192.168.220.10:2121 ...
. 2013-05-18 23:51:54.098 Connected with 192.168.220.10:2121. Waiting for welcome message...
< 2013-05-18 23:51:54.338 220 Service ready for new user.
> 2013-05-18 23:51:54.338 USER nbs
< 2013-05-18 23:51:54.369 331 User name okay, need password for nbs.
> 2013-05-18 23:51:54.419 PASS ***
< 2013-05-18 23:51:54.454 230 User logged in, proceed.
> 2013-05-18 23:51:54.504 SYST
< 2013-05-18 23:51:54.504 215 UNIX Type: Apache FtpServer
> 2013-05-18 23:51:54.504 FEAT
< 2013-05-18 23:51:54.505 211-Extensions supported
< 2013-05-18 23:51:54.505 SIZE
< 2013-05-18 23:51:54.505 MDTM
< 2013-05-18 23:51:54.505 REST STREAM
< 2013-05-18 23:51:54.505 LANG en;zh-tw;ja;is
< 2013-05-18 23:51:54.506 MLST Size;Modify;Type;Perm
< 2013-05-18 23:51:54.506 AUTH SSL
< 2013-05-18 23:51:54.506 AUTH TLS
< 2013-05-18 23:51:54.506 MODE Z
< 2013-05-18 23:51:54.506 UTF8
< 2013-05-18 23:51:54.507 TVFS
< 2013-05-18 23:51:54.507 MD5
< 2013-05-18 23:51:54.507 MMD5
< 2013-05-18 23:51:54.507 MFMT
< 2013-05-18 23:51:54.507 211 End
> 2013-05-18 23:51:54.508 OPTS UTF8 ON
< 2013-05-18 23:51:54.508 200 Command OPTS okay.
. 2013-05-18 23:51:54.508 Connected
. 2013-05-18 23:51:54.509 Got reply 1 to the command 1
. 2013-05-18 23:51:54.509 --------------------------------------------------------------------------
. 2013-05-18 23:51:54.509 Using FTP protocol.
. 2013-05-18 23:51:54.511 Doing startup conversation with host.
> 2013-05-18 23:51:54.512 PWD
< 2013-05-18 23:51:54.522 257 "/storage/sdcard0" is current directory.
. 2013-05-18 23:51:54.522 Got reply 1 to the command 16
. 2013-05-18 23:51:54.523 Changing directory to "/storage/sdcard0".
> 2013-05-18 23:51:54.523 CWD /storage/sdcard0
< 2013-05-18 23:51:54.546 250 Directory changed to /storage/sdcard0
. 2013-05-18 23:51:54.547 Got reply 1 to the command 16
. 2013-05-18 23:51:54.547 Getting current directory name.
> 2013-05-18 23:51:54.547 PWD
< 2013-05-18 23:51:54.566 257 "/storage/sdcard0" is current directory.
. 2013-05-18 23:51:54.567 Got reply 1 to the command 16
. 2013-05-18 23:51:54.568 Retrieving directory listing...
> 2013-05-18 23:51:54.568 TYPE A
< 2013-05-18 23:51:54.591 200 Command TYPE okay.
> 2013-05-18 23:51:54.641 PASV
< 2013-05-18 23:51:54.699 227 Entering Passive Mode (192,168,220,10,181,64)
> 2013-05-18 23:51:54.749 MLSD
< 2013-05-18 23:51:54.840 150 File status okay; about to open data connection.
. 2013-05-18 23:51:54.894 Size=16384;Modify=20130510024030.000;Type=dir; LOST.DIR
. 2013-05-18 23:51:54.944 Size=16384;Modify=20130510001542.000;Type=dir; DCIM
. 2013-05-18 23:51:54.944 Size=16384;Modify=20130509195434.000;Type=dir; cloudagent
. 2013-05-18 23:51:54.945 Size=16384;Modify=20130510001536.000;Type=dir; media
. 2013-05-18 23:51:54.945 Size=16384;Modify=20130510001830.000;Type=dir; CamFTP
. 2013-05-18 23:51:54.946 Size=16384;Modify=20130510005420.000;Type=dir; Android
. 2013-05-18 23:51:54.946 Size=16384;Modify=20130509184626.000;Type=dir; Download
. 2013-05-18 23:51:54.946 Size=16384;Modify=20130511180248.000;Type=dir; Music
. 2013-05-18 23:51:54.947 Size=16384;Modify=20121125031728.000;Type=dir; NavitelContent
. 2013-05-18 23:51:54.947 Size=16384;Modify=20130430175712.000;Type=dir; WebDAVFileManager
. 2013-05-18 23:51:54.948 Size=16384;Modify=20130511180248.000;Type=dir; files
. 2013-05-18 23:51:54.948 Size=16384;Modify=20130511180352.000;Type=dir; Nearby
. 2013-05-18 23:51:54.949 Size=16384;Modify=20130511211400.000;Type=dir; GeoRadar
. 2013-05-18 23:51:54.949 Size=16384;Modify=20120301075242.000;Type=dir; ScreenCapture
. 2013-05-18 23:51:54.949 Size=16384;Modify=20130512161156.000;Type=dir; XnResize
. 2013-05-18 23:51:54.950 Size=16384;Modify=20130514184800.000;Type=dir; yandexafisha
. 2013-05-18 23:51:54.950 Size=16384;Modify=20121212062804.000;Type=dir; waze
. 2013-05-18 23:51:54.951 Size=16384;Modify=20121222050602.000;Type=dir; secured
. 2013-05-18 23:51:54.951 Size=16384;Modify=20111228094412.000;Type=dir; app-data
. 2013-05-18 23:51:54.952 Size=16384;Modify=20130516092602.000;Type=dir; CamViewer
. 2013-05-18 23:51:54.952 Size=16384;Modify=20130516115802.000;Type=dir; viber
. 2013-05-18 23:51:54.952 Size=16384;Modify=20130517195916.000;Type=dir; Ringtones
. 2013-05-18 23:51:54.953 Size=16384;Modify=20130518193103.000;Type=dir; Playlists
. 2013-05-18 23:51:54.953 Size=16384;Modify=20130208002026.000;Type=dir; -справочники
. 2013-05-18 23:51:54.954 Size=16384;Modify=20130414170454.000;Type=dir; WhatsApp
. 2013-05-18 23:51:54.954 Size=16384;Modify=20130507014522.000;Type=dir; РљРЅРёРіРё
. 2013-05-18 23:51:54.955 Size=16384;Modify=20120607065324.000;Type=dir; Notifications
. 2013-05-18 23:51:54.955 Size=16384;Modify=20120214133938.000;Type=dir; yandexmaps
. 2013-05-18 23:51:54.956 Size=16384;Modify=20130509125616.000;Type=dir; MapsWithMe
. 2013-05-18 23:51:54.956 Size=16384;Modify=20130104200000.000;Type=dir; RootUninstaller
. 2013-05-18 23:51:54.956 Size=16384;Modify=20130220133638.000;Type=dir; Документы
. 2013-05-18 23:51:54.957 Size=16384;Modify=20130507014630.000;Type=dir; Pictures
. 2013-05-18 23:51:54.957 Size=16384;Modify=20130507015430.000;Type=dir; S Note
. 2013-05-18 23:51:54.958 Size=16384;Modify=20120314222910.000;Type=dir; yandexnavi
. 2013-05-18 23:51:54.958 Size=16384;Modify=20130424230444.000;Type=dir; My Data
. 2013-05-18 23:51:54.959 Size=16384;Modify=20130508212820.000;Type=dir; sparserss
. 2013-05-18 23:51:54.959 Size=5625;Modify=20130508212806.000;Type=file; subscriptions.xml
< 2013-05-18 23:51:55.221 226 Closing data connection.
. 2013-05-18 23:51:55.222 Directory listing successful
. 2013-05-18 23:51:55.222 Got reply 1 to the command 2
. 2013-05-18 23:51:55.223 ..;D;0;1899-12-30T1190:02:47.297Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.223 LOST.DIR;D;16384;2013-05-09T22:40:30.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.224 DCIM;D;16384;2013-05-09T20:15:42.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.224 cloudagent;D;16384;2013-05-09T15:54:34.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.225 media;D;16384;2013-05-09T20:15:36.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.225 CamFTP;D;16384;2013-05-09T20:18:30.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.226 Android;D;16384;2013-05-09T20:54:20.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.226 Download;D;16384;2013-05-09T14:46:26.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.227 Music;D;16384;2013-05-11T14:02:48.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.227 NavitelContent;D;16384;2012-11-24T23:17:28.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.228 WebDAVFileManager;D;16384;2013-04-30T13:57:12.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.228 files;D;16384;2013-05-11T14:02:48.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.229 Nearby;D;16384;2013-05-11T14:03:52.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.229 GeoRadar;D;16384;2013-05-11T17:14:00.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.230 ScreenCapture;D;16384;2012-03-01T03:52:42.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.230 XnResize;D;16384;2013-05-12T12:11:56.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.231 yandexafisha;D;16384;2013-05-14T14:48:00.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.231 waze;D;16384;2012-12-12T02:28:04.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.232 secured;D;16384;2012-12-22T01:06:02.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.232 app-data;D;16384;2011-12-28T05:44:12.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.233 CamViewer;D;16384;2013-05-16T05:26:02.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.234 viber;D;16384;2013-05-16T07:58:02.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.234 Ringtones;D;16384;2013-05-17T15:59:16.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.234 Playlists;D;16384;2013-05-18T15:31:03.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.235 -справочники;D;16384;2013-02-07T20:20:26.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.236 WhatsApp;D;16384;2013-04-14T13:04:54.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.236 Книги;D;16384;2013-05-06T21:45:22.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.237 Notifications;D;16384;2012-06-07T02:53:24.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.237 yandexmaps;D;16384;2012-02-14T09:39:38.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.238 MapsWithMe;D;16384;2013-05-09T08:56:16.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.238 RootUninstaller;D;16384;2013-01-04T16:00:00.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.239 Документы;D;16384;2013-02-20T09:36:38.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.239 Pictures;D;16384;2013-05-06T21:46:30.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.240 S Note;D;16384;2013-05-06T21:54:30.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.240 yandexnavi;D;16384;2012-03-14T18:29:10.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.241 My Data;D;16384;2013-04-24T19:04:44.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.241 sparserss;D;16384;2013-05-08T17:28:20.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.242 subscriptions.xml;-;5625;2013-05-08T17:28:06.000Z;"" [0];"" [0];---------;0
. 2013-05-18 23:51:55.242 Startup conversation with host finished.
. 2013-05-18 23:52:08.817 Cached directory change via ".." to "/storage".
. 2013-05-18 23:52:08.817 Getting current directory name.
. 2013-05-18 23:52:08.818 Retrieving directory listing...
> 2013-05-18 23:52:08.819 CWD /storage/
< 2013-05-18 23:52:08.863 250 Directory changed to /storage
> 2013-05-18 23:52:08.863 PWD
< 2013-05-18 23:52:08.921 257 "/storage" is current directory.
> 2013-05-18 23:52:08.921 TYPE A
< 2013-05-18 23:52:08.934 200 Command TYPE okay.
> 2013-05-18 23:52:08.984 PASV
< 2013-05-18 23:52:08.988 227 Entering Passive Mode (192,168,220,10,159,109)
> 2013-05-18 23:52:09.038 MLSD
< 2013-05-18 23:52:09.093 150 File status okay; about to open data connection.
TagsNo tags attached.

Activities

JmpEax

2013-05-19 00:02

reporter   bugnote:0010993

Поставил последнюю ночную сборку 3416, то же самое.

alexy

2013-05-20 23:55

administrator   bugnote:0010994

Скачай завтра свежую сборку, там будет пофиксено.

JmpEax

2013-05-21 12:27

reporter   bugnote:0010995

Пошел на http://farmanager.com/download.php?p=64&l=ru
Там написано что последняя ночная
Far Manager v3.0 build 3416 x64 (2013-05-20)
Последнее изменение: drkns 16.05.2013 20:30:12 +0200 - build 3416
и скачивается 3416
хотя если посмотреть http://farmanager.com/svn/trunk/unicode_far/changelog
то там уже 3419
так где же взять 3419?

alexy

2013-05-21 12:39

administrator   bugnote:0010996

будет чуть позже.

Issue History

Date Modified Username Field Change
2013-05-18 23:57 JmpEax New Issue
2013-05-19 00:02 JmpEax Note Added: 0010993
2013-05-20 23:55 alexy Note Added: 0010994
2013-05-20 23:55 alexy Assigned To => alexy
2013-05-20 23:55 alexy Status new => assigned
2013-05-21 00:29 alexy Category FTP => NetBox
2013-05-21 12:27 JmpEax Note Added: 0010995
2013-05-21 12:39 alexy Note Added: 0010996
2013-05-21 18:56 alexy Status assigned => closed
2013-05-21 18:56 alexy Resolution open => fixed
2013-05-21 18:56 alexy Fixed in Version => 3.0